////// COLOR COLLECTION

// @black: rgb(0, 0, 0);

@white: rgb(255, 255, 255); // background base & inputs
@black: #000; 

// @blue: #0e3b58; // font general

// @terralight: rgb(223, 088, 068); // active txt & elements
// @terraMedium: rgb(163, 034, 003); // active txt & elements
// @terraDark: rgb(123, 052, 024); // btn-1 & special cases

@yellow: rgb(245, 230, 067);
@orange: rgb(215, 100, 72);

@blue: #1d4851;
@blueLight: #52777f;
@blueExtraLight: #9cb2b6; 


// @greyDark: #8a9796; // font light
@greyDark: rgb(154, 154, 154); // font light
@greyMedium: #e1e1e1; // font light
@greyLight: rgb(238, 238, 238);
@greyExtraLight: rgb(247, 247, 247); // background block

// quick hacks to compile client/solar
@grey: @greyMedium;
@green: @orange; // colorblind mode here ;)

//////
////// COLORS & USES
//////

@bodyBgColor: @white;
@textColor: @black;
@textColorLight: @greyDark;

////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: @yellow;

@activeColor: @orange;
@activeColorHover: @orange - 15%;
@activeColorPressed: @orange - 30%;

@inactiveColor: @greyDark;
@disabledColor: @greyMedium;

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyDark;
@bgDarkColor: @greyLight;
@bgActiveColor: @yellow;

// @widget-background : @greyLight;
// @widget-background-hover : @greyDark;
// @widget-background-active : @greyLight;

////// Map background

@mapBgColor: @white;

////// Links

@linkColor: @textColor;
@linkColorHover: @activeColor;
@linkDecorationColor: @greyDark;

////// Borders

@borderDarkColor: @textColor;
@borderLightColor: @greyDark;
@borderExtraLightColor: @greyLight;

////// Inputs

@inputBorderColor: @greyDark;
@inputBgColor: @white;
@inputPlaceholderColor: @greyDark;

@editable: @greyLight;

////// Table

@tableRowActiveColor: @greyDark;
@tableRowHoverColor: @greyDark;
@tableTextSelectColor: @activeColor;

////// Loader

@loaderColor: @greyDark;
